Queue an approved notification blast
POST
/api/notifications/blasts/{id}/send
const url = 'https://api.getvespy.com/api/notifications/blasts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/send';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/notifications/blasts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/send \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
blast
required
object
autoTranslate
required
boolean
body
required
string
channels
required
Array<string>
createdAt
required
string format: date-time
id
required
string format: uuid
languageCounts
required
object
key
additional properties
integer
recipientCount
required
integer
skippedUnlinkedTenantCount
required
integer
status
required
string
title
required
string
versions
required
Array<object>
object
aiTranslated
required
boolean
body
required
string
language
required
string
title
required
string
Example
{ "blast": { "channels": [ "in_app" ], "status": "draft" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}